html{
    margin: 1%;
    background-color: white;
    height: 99%;
}

body{

    padding: 10px;
    height: 100%;
    
}
img{
    width: 30%;
    height: auto;
}
.truc{
    display: flex ;
    align-items: center;
    justify-content: space-between;
}

main {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    flex-wrap: wrap;

}

.pitiCarte{
    padding-bottom: 10%;
    border-radius: 15px;
    display: flex;
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: 20%;
    align-items: center;
    justify-content: center;
    width: 7em;

    margin: 10px;
    background-color: #fdb927;
    padding: 5px;
}
.pitiCarte table{
    margin-top: 0px;
}

.pitiCarte td{
    display: flex;
    justify-content: center;
}

.caracteristiques {

    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    
}

.LesPitiCarts{
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
}

.boutons{
    margin: 15px;
    width: 75%;
    height: 100%;
    display: flex;
    justify-content: center;
}



nav a input{
    width: 100%;
}

fieldset{
    border-radius: 15px;
    background-color: white;
}

header {
    background-color: #fdb927;
    display: flex;
    align-items: center;
    border-radius: 15px;
    justify-content: space-around;
    padding: 10px 20px;
    box-shadow: 0px 0px 10px 2px #333;
}

nav {
    display: flex;
    align-items: center;
}

nav a {
    text-decoration: none;
    color: white;
    font-family: 'Arial', sans-serif;
    font-size: 1.2em;
}


input[type="button"]:hover {
    background-color: #333;
    color: #fdb927;
}


table {
    border-collapse: collapse;
    width: 100%;
    border-radius: 10px;
    font-family: 'Arial', sans-serif;
    font-size: 1.2em;
}

main table{
    margin-top: 20px;
}

th, td {
    border: 1px solid #fdb927;
    padding: 8px;
    text-align: center;
}

th {
    background-color: #fdb927;
    color: white;
    font-weight: bold;
}

tr:nth-child(even) {
    background-color: #fde0a2;
}

header input[type="button"] {
    background-color: #fdb927;
    color: #333;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    font-family: 'Arial', sans-serif;
    font-size: 1.2em;
    transition: all 0.3s ease-in-out; 
}
input[type="button"] {
    background-color: #fdb927;
    color: white;
    border: none;
    padding: 8px;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

input[type="button"]:hover {
    background-color: #333;
    color: #fdb927;
}

form {
    padding: 20px;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0px 0px 10px 2px #333;
}

legend {
    font-size: 1.5em;
    font-family: 'Arial', sans-serif;
    color: #333;
    margin-bottom: 10px;
}

label, input[type="submit"] {
    font-family: 'Arial', sans-serif;
    font-size: 1.2em;
    margin-top: 10px;
    color: #333;
}

input[type="text"], input[type="password"] {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    box-sizing: border-box;
    border: 1px solid #fdb927;
    border-radius: 4px;
}

input[type="submit"] {
    background-color: #fdb927;
    color: white;
    border: none;
    padding: 12px 20px;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

input {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    border: 1px solid #fdb927;
    border-radius: 4px;
}

select {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    border: 1px solid #fdb927;
    border-radius: 4px;
    background-color: orange; /* Couleur de fond */
    color: white; /* Couleur de police */
    padding: 12px; /* Espacement intérieur */
    border-radius: 4px; /* Arrondi des bords */
    border: none; /* Pas de bordure */
    box-shadow: 0px 0px 3px gray; /* Ombre */
    font-size: 16px; /* Taille de police */
    appearance: none; /* Masque l'apparence par défaut */
}

input[type="submit"]:hover {
    background-color: #333;
    color: #fdb927;
}

fieldset {
    border-style: solid;
    border-color: #fdb927;
    border-width: 5px;
    border-radius: 5px;
}